FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109030220.p0.git.c63b8f3.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202109030220.p0.git.c63b8f3.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c63b8f3 OS_GIT_VERSION=4.6.0-202109030220.p0.git.c63b8f3.assembly.stream-c63b8f3 SOURCE_DATE_EPOCH=1620320073 SOURCE_GIT_COMMIT=c63b8f3b05a5c432539a35ada3fdcac630475a06 SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-491-gc63b8f3 SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

WORKDIR /go/src/github.com/prometheus/node_exporter
COPY . .
RUN if yum install -y prometheus-promu; then export BUILD_PROMU=false; fi && make build

FROM openshift/base-rhel8:v4.6.0.20210903.023232
ENV __doozer=update BUILD_RELEASE=202109030220.p0.git.c63b8f3.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202109030220.p0.git.c63b8f3.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c63b8f3 OS_GIT_VERSION=4.6.0-202109030220.p0.git.c63b8f3.assembly.stream-c63b8f3 SOURCE_DATE_EPOCH=1620320073 SOURCE_GIT_COMMIT=c63b8f3b05a5c432539a35ada3fdcac630475a06 SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-491-gc63b8f3 SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

COPY --from=builder /go/src/github.com/prometheus/node_exporter/node_exporter /bin/node_exporter

RUN yum install -y virt-what && yum clean all && rm -rf /var/cache/*
COPY text_collectors/virt.sh /node_exporter/collectors/init/

EXPOSE      9100
USER        nobody
ENTRYPOINT  [ "/bin/node_exporter" ]

LABEL \
        io.k8s.display-name="Node Exporter" \
        io.k8s.description="Prometheus exporter for hardware and OS metrics exposed by *NIX kernels, written in Go with pluggable metric collectors" \
        io.openshift.tags="openshift,node" \
        summary="Prometheus exporter for machine metrics" \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-node-exporter" \
        com.redhat.component="golang-github-prometheus-node_exporter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202109030220.p0.git.c63b8f3.assembly.stream" \
        io.openshift.build.commit.id="c63b8f3b05a5c432539a35ada3fdcac630475a06" \
        io.openshift.build.source-location="https://github.com/openshift/node_exporter" \
        io.openshift.build.commit.url="https://github.com/openshift/node_exporter/commit/c63b8f3b05a5c432539a35ada3fdcac630475a06" \
        version="v4.6.0"

